#!/bin/bash

pkgname="curl"
pkgver="7.62.0"

src="https://curl.haxx.se/download/curl-${pkgver}.tar.gz"

prepare () {
    [ -f "${pkgname}-src.tar.gz" ] || curl -o "${pkgname}-src.tar.gz" "${src}"
    tar -C "${srcdir}" -xvf "${pkgname}-src.tar.gz"
}

build () {
    cd "${srcdir}/curl-${pkgver}"
    mkdir build && cd build

    ../configure \
        --prefix=/usr \
        --mandir=/usr/share/man \
        --with-random=/dev/urandom \
        --with-ssl \
        --with-zlib \
        --enable-versioned-symbols \
        --enable-threaded-resolver \
        --disable-ldap \
        --disable-ldaps

    make
}

package () {
    cd "${srcdir}/curl-${pkgver}/build"

    make DESTDIR="${pkgdir}" install
    make DESTDIR="${pkgdir}" install -C scripts
}

. ../common.sh
