#!/bin/bash

pkgname="libressl"
pkgver="2.8.2"

src="https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/libressl-${pkgver}.tar.gz"

prepare () {
    [ -f "${pkgname}-src.tar.gz" ] || curl -o "${pkgname}-src.tar.gz" "${src}"
    tar -C "${srcdir}" -xvf "${pkgname}-src.tar.gz"
}

build () {
    cd "${srcdir}/libressl-${pkgver}"
    mkdir build && cd build

    ../configure \
        --prefix=/usr \
        --with-openssldir=/etc/ssl

    make
}

package () {
    cd "${srcdir}/libressl-${pkgver}/build"
    make DESTDIR="${pkgdir}" install
}

. ../common.sh
